Bug 474999 - Review Request: gdata-java - Client libraries to write Google Data API client applications in Java
Review Request: gdata-java - Client libraries to write Google Data API client...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: tvbrowser
  Show dependency treegraph
 
Reported: 2008-12-06 10:20 EST by Sandro Mathys
Modified: 2009-01-14 22:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 10:00:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2008-12-06 10:20:50 EST
Spec URL: http://red.fedorapeople.org/SRPMS/gdata-java.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/gdata-java-1.26.0-0.1.fc10.src.rpm
Description: The client library provides tools and an abstraction layer, letting you
easily construct queries and use response data without having to create
HTTP requests or process HTTP responses by hand. Each client library
provides classes that correspond to the elements and data types used by
the Google Data APIs. Each client library also provides extensions for
specific Google services that have Data APIs.

This  is a dependency needed for tvbrowser, for which a review request exists
already.

rpmlint on spec, srpm and noarch-rpms finishes checking without any warnings or
errors.

I'd still need a sponsor.
Comment 1 Sandro Mathys 2008-12-11 20:02:01 EST
Successfully created a mock-(re)build of this version of this pkg.
Comment 2 Mamoru TASAKA 2008-12-15 10:02:29 EST
(Removing NEEDSPONSOR)
Comment 3 Mamoru TASAKA 2008-12-15 11:51:04 EST
Some comments:

* Release number
  - As same as jcalendar, please fix release number.

* Requires
  - Also fix Requires as same as jcalender.

* About Patch0 and "-classpath /usr/share/java/javamail.jar"
  - I guess rather using sed with "build-classpath" (in 
    jpackage-utils) is preferable:
    https://fedoraproject.org/wiki/Packaging/Java#build-classpath
Comment 4 Sandro Mathys 2008-12-15 23:30:12 EST
Spec URL: http://red.fedorapeople.org/SRPMS/gdata-java.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/gdata-java-1.26.0-1.fc10.src.rpm

New version including much of the experience I got when my jcalendar pkg was
reviewed. This includes that the above has been addressed, except for the classpath thing into which I will look next.
Comment 5 Mamoru TASAKA 2008-12-16 12:04:24 EST
To use classpath, an example can be:
------------------------------------------------------------------
%prep
%setup -q -n gdata
pushd java

rm -rf lib/* classes doc
pro=build-src/build.properties
for jars in \
	"servlet servletapi5" \
	"mail javamail" \
	"activation activation"
do
	f=$(echo $jars | gawk '{print $1;}')
	g=$(echo $jars | gawk '{print $2;}')
	%{__sed} -i -e "/^${f}/s|=.*$|=$(build-classpath ${g})|" $pro
done

......

%build
......
......
javadoc -classpath $(build-classpath javamail):/etc/alternatives/java_sdk_openjdk/lib/tools.jar -d doc `find src -name '*.java'`
-----------------------------------------------------------------

(I have not yet found how to find tools.jar using build-classpath, maybe
 it is impossible for current Fedora java structure?)
Comment 6 Sandro Mathys 2008-12-17 18:45:00 EST
Spec URL: http://red.fedorapeople.org/SRPMS/gdata-java.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/gdata-java-1.26.0-2.fc11.src.rpm

Thanks for the help :) Works perfectly :D Everything you mentioned should be addressed now. rpmlint is still clean.
Comment 7 Mamoru TASAKA 2008-12-18 13:12:49 EST
Well, 18 hours ago new version seems released... Would
you upgrade?

Also, please put one line between each %changelog entry
like below?
----------------------------------------------------------
* Thu Dec 18 2008 Sandro Mathys <red at fedoraproject.org> - 1.26.0-2
- The changes to the build.properties file are now applied with a for loop
  and sed instead of a patch
- The paths to the 3rd-party libraries (i.e. currently only javamail.jar)
  for the javadoc generation are now looked up with build-classpath instead of
  being hardcoded

* Tue Dec 16 2008 Sandro Mathys <red at fedoraproject.org> - 1.26.0-1
- initial build (thanks Rudolf 'che' Kastl for the help)
----------------------------------------------------------
This is useful on Fedora CVS system.
Comment 8 Sandro Mathys 2008-12-18 16:39:06 EST
Spec URL: http://red.fedorapeople.org/SRPMS/gdata-java.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/gdata-java-1.28.0-1.fc11.src.rpm

Rebuilt with the latest release. And a empty line between the %changelog entries.
Comment 9 Mamoru TASAKA 2008-12-19 11:50:54 EST
Okay.

-------------------------------------------------------
  This package (gdata-java) is APPROVED by mtasaka
-------------------------------------------------------
Comment 10 Sandro Mathys 2008-12-19 17:46:37 EST
New Package CVS Request
=======================
Package Name: gdata-java
Short Description: Client libraries to write Google Data API client applications in Java
Owners: red
Branches: F-9 F-10
InitialCC:
Comment 11 Kevin Fenzi 2008-12-20 23:45:44 EST
cvs done.
Comment 12 Mamoru TASAKA 2009-01-08 12:13:30 EST
ping?
Comment 13 Fedora Update System 2009-01-09 07:38:01 EST
gdata-java-1.28.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/gdata-java-1.28.0-1.fc9
Comment 14 Fedora Update System 2009-01-09 07:46:37 EST
gdata-java-1.28.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gdata-java-1.28.0-1.fc10
Comment 15 Mamoru TASAKA 2009-01-09 10:00:46 EST
Okay, thanks.
Comment 16 Fedora Update System 2009-01-14 21:52:06 EST
gdata-java-1.28.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-01-14 22:03:48 EST
gdata-java-1.28.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.